## org.eclipse.ocl
Interface EvaluationEnvironment.Enumerations<EL>

All Known Implementing Classes:
  CompatibilityEvaluationEnvironment, EcoreEvaluationEnvironment

Enclosing interface:
  EvaluationEnvironment<C,O,P,CLS,E>

    public static interface EvaluationEnvironment.Enumerations<EL>

Optional adapter interface for evaluation environments that support additional enumeration evaluation capabilities.

Since:
  1.2
See Also:
  `OCLUtil.getAdapter(EvaluationEnvironment, Class)`

Method Summary
`Object` `getValue(EL enumerationLiteral)` Obtains the Java-language value of the specified enumeration literal.

Method Detail

### getValue

    Object getValue(EL enumerationLiteral)

  Obtains the Java-language value of the specified enumeration literal. Often, this is an instance of an EMF-generated enumeration type.

  Parameters:
    `enumerationLiteral` - the enumeration literal model element
  Returns:
    the corresponding run-time instance

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.